Bug 5735 - Systems hangs after about one hour of usage.
Systems hangs after about one hour of usage.
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
6.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Cristian Gafton
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-10-08 14:02 EDT by Edward Rudd
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-11-04 18:12:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Edward Rudd 1999-10-08 14:02:55 EDT
I recently upgrade Redhat 6.1 on my RedHat 5.2 system
(yesterday), and the upgrade went nice and smoothly.
However, after I logged in and was removing old rpm packages
of program that I didn't need anymore the system stoped
after about an hour. So I rebooted the machine, let it check
the harddisk and let it sit there.  Today I continued
removing some more packages (after it being up all night)
and re-setup my soundcard and reconfigured X, and started
downloading some updates for programs with netscape. and
then the system hung again after about 2 hours of active
use!!!
My system is a P133 w/80MB ram a 2.5GB, a 10GB Western Dig
HD,  a Dlink 530tx 10/100 NIC, a Awe64 w/ 512K on board ram,
 a Diamond Stealth 3d 2000, a Diamond monster 2 12MB, a STB
TV PCI, and an extra parralel port/hercules adapter, and
a logitech trackman marble.
Right now I am currently running fsck on all of the
partitions. And I may recompile the kernel next.
Comment 1 Edward Rudd 1999-10-13 23:07:59 EDT
Possibly found the problem.  I believe some of my memory went bad.
Comment 2 Edgar Hilton 2000-03-20 12:30:59 EST
I would like to add that I am having the exact same problems. However, these
problems are close to repeatable on three machines, all pentium classics, none
of which had the problem with earlier versions of either RedHat Linux or SuSE
Linux. I have not had the same problem in either Pentium II's (2 450 Mhz) nor
Pentium III (600 Mhz).

Out of the three Pentium classics, one is a laptop (Thinkpad 770, 233Mhz), and
two are desktops. At first I suspected Kudzu, but after uninstalling it, I still
get the freeze.

I have upgraded and recompiled the kernel (to 2.2.14) in at least one of them,
and have this to contribute: after the freeze, the kernel appears to continue
running (still get sound from xmms, see my ethernet card continue blinking as it
continues to download files, etc. etc.). Only X appears frozen (can't do
anything with keyboard, mouse, and all motion ceases on screen).

All three machines have fresh installs. Only in the third one (laptop) have I
upgraded the kernel.

My two cents: I strongly suspect thath GTK as a strong plausible cause for this
problem at this point.  The freeze always occurs when I most heavily
move/open/create windows/widgets which use the GTK libraries, and even on the
Pentium III, I have noticed (in my own programs) that the GTK drawing functions
tend to not be very stable and will freeze as if on an improperly implemented
mutex.

Note You need to log in before you can comment on or make changes to this bug.